Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class InstarLearning

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.UnsupervisedLearning
                      org.neuroph.nnet.learning.UnsupervisedHebbianLearning
                          org.neuroph.nnet.learning.InstarLearning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class InstarLearning

extends UnsupervisedHebbianLearning

Hebbian-like learning rule for Instar network.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`InstarLearning()` Creates new instance of InstarLearning algorithm
`InstarLearning(NeuralNetwork neuralNetwork)` Creates new instance of InstarLearning algorithm for the specified neural network.

Method Summary
`protected void` | `updateNeuronWeights(Neuron neuron)` This method implements weights update procedure for the single neuron

Methods inherited from class org.neuroph.nnet.learning.UnsupervisedHebbianLearning
`adjustWeights, doLearningEpoch`

Methods inherited from class org.neuroph.core.learning.UnsupervisedLearning
`learnPattern`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, pause, reset, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstarLearning

    public InstarLearning()

  Creates new instance of InstarLearning algorithm

### InstarLearning

    public InstarLearning(NeuralNetwork neuralNetwork)

  Creates new instance of InstarLearning algorithm for the specified neural network.

  Parameters:
    `neuralNetwork` - neural network to train

Method Detail

### updateNeuronWeights

    protected void updateNeuronWeights(Neuron neuron)

  This method implements weights update procedure for the single neuron

  Overrides:
    `updateNeuronWeights` in class `UnsupervisedHebbianLearning`
  Parameters:
    `neuron` - neuron to update weights for

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD